* {
  box-sizing: border-box;
}
body {
  padding: 0;
  margin: 0;
}

html {
  font-family: Avenir, Helvetica, "Open-Sans", "Helvetica Neue", Arial, sans-serif;
  font-size: 100%;
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

ol {
  display: grid;
  grid-template-columns: repeat(5, 100px);
  grid-template-rows: repeat(5, 100px);
  gap: 20px;
  list-style-type: none;
  margin: 0;
  padding: 0;
}

li {
  border: 3px solid black;
  height: 100%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 40px; ;
}

li:nth-child(1) {
  grid-column: 1;
  grid-row: 1;
}

li:nth-child(1) span {
  transform: rotate(145deg);
}

li:nth-child(2) {
  grid-column: 2;
  grid-row: 1;
  transform: rotate(180deg);
}

li:nth-child(3) {
  grid-column: 3;
  grid-row: 1;
  transform: rotate(180deg);
}

li:nth-child(4) {
  grid-column: 4;
  grid-row: 1;
  transform: rotate(180deg);
}

li:nth-child(5){
  grid-column: 5;
  grid-row: 1;
}

li:nth-child(5) span {
  transform: rotate(-145deg);
}

li:nth-child(6) {
  grid-column: 5;
  grid-row: 2;
  transform: rotate(270deg);
}

li:nth-child(7) {
  grid-column: 5;
  grid-row: 3;
  transform: rotate(270deg);
}

li:nth-child(8) {
  grid-column: 5;
  grid-row: 4;
  transform: rotate(270deg);
}

li:nth-child(9) {
  grid-column: 5;
  grid-row: 5;
}

li:nth-child(9) span {
  transform: rotate(300deg);
}

li:nth-child(10) {
  grid-column: 4;
  grid-row: 5;
}

li:nth-child(11) {
  grid-column: 3;
  grid-row: 5;
}

li:nth-child(12) {
  grid-column: 2;
  grid-row: 5;
}

li:nth-child(13) span {
  transform: rotate(-300deg);
}

li:nth-child(13) {
  grid-column: 1;
  grid-row: 5;
  transform: rotate(-360deg);
}

li:nth-child(14) {
  grid-column: 1;
  grid-row: 4;
  transform: rotate(-360deg);
}

li:nth-child(15) {
  grid-column: 1;
  grid-row: 3;
  transform: rotate(-360deg);
}

li:nth-child(16) {
  grid-column: 1;
  grid-row: 2;
  transform: rotate(-360deg);
}

li:nth-child(17) {
  grid-column: 2 / 5;
  grid-row: 2 / 5;
}

li:nth-child(17) span {
  border: 3px solid black;
  transform: rotate(-45deg);
  background-color: red;
  color: white;
  padding: 10px;
  padding-left: 60px;
  padding-right: 60px;
}

